List survey exports
curl --request GET \
--url https://api.pickfu.com/v1/surveys/{id}/exports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pickfu.com/v1/surveys/{id}/exports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pickfu.com/v1/surveys/{id}/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"csv": {
"available": true,
"version": "<string>",
"url": "<string>"
},
"pdf": [
{
"url": "<string>",
"language": "<string>"
}
],
"png": [
{
"url": "<string>",
"language": "<string>",
"isPreview": true
}
]
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Surveys
List survey exports
Returns metadata and download URLs for all export formats associated with a survey: CSV results, PDF reports, and PNG screenshots.
The csv block points to the PickFu API CSV proxy endpoint and is only available once the survey has been published and completed. PDF and PNG entries are returned for each rendered language.
Rate limit: 30 requests per minute per caller.
GET
/
surveys
/
{id}
/
exports
List survey exports
Was this page helpful?
⌘I
